# class Resolv::DNS::SvcParam::Generic

`Generic` `SvcParam` abstract class.

### Attributes

value [R]

SvcParamValue in wire-format byte string.

### Public Class Methods

create (key_number)
Source

    # File lib/resolv.rb, line 1876
    def self.create(key_number)
      c = Class.new(Generic)
      key_name = :"key#{key_number}"
      c.const_set(:KeyName, key_name)
      c.const_set(:KeyNumber, key_number)
      self.const_set(:"Key#{key_number}", c)
      ClassHash[key_name] = ClassHash[key_number] = c
      return c
    end

new (value)
Source

    # File lib/resolv.rb, line 1864
    def initialize(value)
      @value = value
    end

Create generic `SvcParam`